[Twisted-Python] removing unsupported reactors in twisted 2.6:

Thomas HERVE therve at free.fr
Mon Sep 25 08:48:18 EDT 2006

Quoting glyph at divmod.com:

>> The next QT version (4.2, currently in RC1) contains support for the 
>> Glib eventloop. This has to be tested, but it promises use of the 
>> gtk reactor with Qt application. Qt 4.2 (and PyQt) is not released 
>> but should be by the time of Twisted 2.6; we could then write a 
>> documentation about integration.
> That would be great.  Is that going to be the default mainloop or an 
> optional add-on?

It's optional. It seems C++ apps will have a command-line switch. I 
don't know about PyQt, though.

>> The drawback is that you'll need glib (ie, python-gtk) to write a Qt app.
> Some might not call that a drawback ;).

Well, it might be a drawback if you want to use Qt under Mac :).

>> We also have a qt4 reactor 
>> (http://twistedmatrix.com/trac/ticket/1770) that needs a maintener. 
>> Last time I checked few things were needed to make the test suite 
>> pass.
> Are you willing to have a crack at fixing that code?

I'm no Qt expert, but I work with some so it could help. Consider it assigned.


This message was sent using IMP, the Internet Messaging Program.

More information about the Twisted-Python mailing list